<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.sixin.module_p.ui.gnj.accidentVisa.list.PdaAccidentVisaListViewModel" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/backgroud_gray"
        android:orientation="vertical">

        <include layout="@layout/title_tool_bar" />

        <LinearLayout
            shape_bg_color="@{@color/white}"
            shape_radius="@{8}"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginHorizontal="10dp"
            android:layout_marginTop="10dp"
            android:background="@color/white"
            android:gravity="center_vertical"
            android:paddingHorizontal="10dp">

            <ImageView
                android:layout_width="25dp"
                android:layout_height="25dp"
                android:src="@drawable/search" />

            <EditText
                android:id="@+id/flightNoEditText"
                setFocusChangedListener="@{viewModel::onCarChange}"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@null"
                android:hint="请输入航班号"
                android:paddingHorizontal="10dp"
                android:text="@={viewModel.flightNo}"
                android:textColorHint="@color/text_gray_l"
                android:textSize="15sp" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="10dp"
            android:layout_marginTop="10dp"
            android:gravity="center_vertical">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@color/colorPrimary"
                    android:paddingHorizontal="20dp"
                    android:paddingVertical="4dp"
                    android:text='@{"数量 "+viewModel.count}'
                    android:textColor="@color/white"
                    tools:text="数量 0" />

                <ImageView
                    android:layout_width="10dp"
                    android:layout_height="10dp"
                    android:layout_marginTop="-3dp"
                    android:scaleType="fitXY"
                    android:src="@drawable/img_daosanjiao" />

            </LinearLayout>

            <View
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_weight="1" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:drawableRight="@drawable/img_shaixuan"
                android:drawablePadding="5dp"
                android:onClick="@{()->viewModel.onFilterClick()}"
                android:text="筛选"
                android:textColor="@color/red" />

        </LinearLayout>

        <com.scwang.smart.refresh.layout.SmartRefreshLayout
            android:id="@+id/srl"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv"
                itemLayoutId="@{viewModel.itemLayoutId}"
                viewHolder="@{viewModel.itemViewHolder}"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                tools:listitem="@layout/item_pda_accident_visa_list" />

        </com.scwang.smart.refresh.layout.SmartRefreshLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="50dp">

            <ImageView
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:layout_centerInParent="true"
                android:onClick="@{()->viewModel.onAddClick()}"
                android:padding="10dp"
                android:src="@drawable/add"
                app:tint="@color/colorPrimary" />

        </RelativeLayout>

    </LinearLayout>
</layout>